package cn.wisenergy.chnmuseum.party.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import cn.wisenergy.chnmuseum.party.model.DemandInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 需求建议信息 Mapper 接口
 * </p>
 *
 * @author 杨智平
 * @since 2018-08-29
 */
public interface DemandInfoMapper extends BaseMapper<DemandInfo> {

    DemandInfo selectOneById(@Param(value = "id") String id);

    List<DemandInfo> selectDemandInfoList(Page<DemandInfo> page,
                                          @Param(value = "lineNumber") String lineNumber,
                                          @Param(value = "content") String content,
                                          @Param(value = "phoneNumber") String phoneNumber,
                                          @Param(value = "startDate") String startDate,
                                          @Param(value = "endDate") String endDate,
                                          @Param(value = "type") Integer type,
                                          @Param(value = "bankBranchId") String bankBranchId,
                                          @Param(value = "callStartDate") String callStartDate,
                                          @Param(value = "callEndDate") String callEndDate,
                                          @Param(value = "roleId") String roleId,
                                          @Param(value = "currentBankId") String currentBankId);

    List<DemandInfo> selectDemandInfoList(
                                          @Param(value = "lineNumber") String lineNumber,
                                          @Param(value = "content") String content,
                                          @Param(value = "phoneNumber") String phoneNumber,
                                          @Param(value = "startDate") String startDate,
                                          @Param(value = "endDate") String endDate,
                                          @Param(value = "type") Integer type,
                                          @Param(value = "bankBranchId") String bankBranchId,
                                          @Param(value = "callStartDate") String callStartDate,
                                          @Param(value = "callEndDate") String callEndDate,
                                          @Param(value = "roleId") String roleId,
                                          @Param(value = "currentBankId") String currentBankId);
}
